%define	major	1
%define	libname	%mklibname nfs %{major}
%define	devname	%mklibname nfs -d

Name:		libnfs
Version:	1.6.0
Release:	%mkrel 1
Summary:	Client library for accessing NFS shares over a network
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/sahlberg/libnfs
Source:		%{name}-%{version}.tar.xz
BuildRequires:	python

%description
LIBNFS is a client library for accessing NFS shares over a network.

%package -n %{libname}
Summary:	Shared library of libnfs
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n %{libname}
LIBNFS is a client library for accessing NFS shares over a network.

This package contains the library needed to run programs dynamically
linked with libnfs.

%package -n %{devname}
Summary:	Headers for libnfs development
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	nfs-devel = %{version}

%description -n %{devname}
LIBNFS is a client library for accessing NFS shares over a network.

This package contains the headers that are needed to develop
applications that use libnfs.

%prep
%setup -q -n libnfs-libnfs-%version

%build
./bootstrap
%configure2_5x --disable-static

%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%clean
%__rm -rf %{buildroot}

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%doc README
%{_libdir}/*.so
%{_includedir}/nfsc
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Jan 30 2014 bb <bb> 1.6.0-1pclos2014
- update

* Sat Feb 02 2013 Ken <lxgator@gmail.com> 1.3.0-1pclos-2013
- imported package libnfs

